Subject: [Geopriv] Q1 about draft-ietf-geopriv-lbyr-requirements-01

From: Hannes Tschofenig <[email-masked]>
Date: Sun, 17 Feb 2008 18:28:39 +0200

Hi James,

These are good questions.

Here are my thoughts:
 
 > -----Ursprüngliche Nachricht-----
 > Von: [email-masked]
 > [mailto:[email-masked]] Im Auftrag von ext James M. Polk
 > Gesendet: Samstag, 16. Februar 2008 02:13
 > An: [email-masked]
 > Betreff: [Geopriv] Q1 about draft-ietf-geopriv-lbyr-requirements-01
 >
 > This document states clearly that it only covers LCPs and Dereference
 > protocols (which seems to leave out conveyance protocols, BTW).
 >
 > In that context, I don't understand requirement C7 (in section 5.1),
 > since this requirement is clearly discussing a clients ability to
 > dereference location, yet it appears in the LCP requirements
 > section.  Why is C7 where it is? And why is C7 not in the next
 > section (section 5.2) that discusses dereference protocols?

   C7. Location timestamp:  There SHOULD be a way to allow a client to
      determine whether the dereferenced location information refers to
      the location of the Target at the time when the location URI was
      created or when it was dereferenced.

      Motivation: It is important to distinguish between an original and
      an updated location.

I believe that this relates to the LCP since it would be helpful to let 
the Target know how long the reference is valid and to allow the client 
to express his/her preference about the lifetime of the reference.

There is a separate aspect to let the entity performing the derefencing 
step to know how long the reference is expected to be valid.

Ciao
Hannes

 >
 > James
 >
 > _______________________________________________
 > Geopriv mailing list
 > [email-masked]
 > http://www.ietf.org/mailman/listinfo/geopriv
 >
_______________________________________________
Geopriv mailing list
[email-masked]
http://www.ietf.org/mailman/listinfo/geopriv